Subject: Re: bug#45032: 26.3; json-pretty-print of JSON with dict containing 't' as a key causes error

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sat, 05 Dec 2020 16:17:32 +0000

forcemerge 42545 45032
quit

Lars Ingebrigtsen <[email-masked]> writes:

> So I don't know how to fix this.  We could add another kludge -- saying
> that a boolean used as an object key "obviously" should be a string
> instead (when converting back to JSON)?  Opinions?

This is a duplicate of https://debbugs.gnu.org/42545.

I think it's important that native and Elisp JSON serialisation are as
consistent as possible here; please comment on my thoughts at:
https://lists.gnu.org/r/emacs-devel/2020-07/msg00708.html

I might actually have some time to look at this soon.

-- 
Basil